Bug 1361155 - Upcall related events
Summary: Upcall related events
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: upcall
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Soumya Koduri
QA Contact: Sweta Anandpara
URL:
Whiteboard: USM-Gluster integration,Triaged
Depends On:
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2016-07-28 12:13 UTC by Soumya Koduri
Modified: 2017-03-23 05:43 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 05:43:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Soumya Koduri 2016-07-28 12:13:44 UTC
Description of problem:
This RFE is to track the changes required in the upcall component to generate the events to be consumed by the eventing framework.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Atin Mukherjee 2016-08-23 12:13:20 UTC
the upcall events related to setting features.cache-invalidation &  features.cache-invalidation-timeout volume tunables through gluster volume set interface is already available in mainline through http://review.gluster.org/14973

Moving this BZ to POST.

Comment 4 Atin Mukherjee 2016-09-16 11:18:54 UTC
Given the patch mentioned in the above comment is already part of rhgs-3.2.0 now as a rebase, moving the state to MODIFIED.

Comment 7 Sweta Anandpara 2016-12-16 07:23:04 UTC
Am able to see VOLUME_SET and VOLUME_RESET events corresponding to the options 'features.cache-invalidation' and 'features.cache-invalidation-timeout'. 

Moving this BZ to verified in 3.2.

##############################################################################################################
{u'message': {u'name': u'ozone', u'options': [[u'features.cache-invalidation-timeout', u'600']]}, u'event': u'VOLUME_SET', u'ts': 1481872810, u'nodeid': u'8d3ab9e3-c086-4474-9db2-677d5018d055'}
##############################################################################################################
{u'message': {u'name': u'ozone', u'options': [[u'features.cache-invalidation', u'on']]}, u'event': u'VOLUME_SET', u'ts': 1481872829, u'nodeid': u'8d3ab9e3-c086-4474-9db2-677d5018d055'}
##############################################################################################################
{u'message': {u'name': u'ozone', u'option': u'features.cache-invalidation'}, u'event': u'VOLUME_RESET', u'ts': 1481872843, u'nodeid': u'8d3ab9e3-c086-4474-9db2-677d5018d055'}
##############################################################################################################
{u'message': {u'name': u'ozone', u'option': u'features.cache-invalidation-timeout'}, u'event': u'VOLUME_RESET', u'ts': 1481872870, u'nodeid': u'8d3ab9e3-c086-4474-9db2-677d5018d055'}

Comment 9 errata-xmlrpc 2017-03-23 05:43:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.